
%global meadversion 3.0.3
%global namedversion 3.0.3.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 3
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}neethi}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.3.redhat-1

Name:           %{?scl_prefix}neethi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Neethi
Group:          Development/Java

%if %with mead
Source100: neethi-3.0.3.redhat-1-scm-sources.zip
Source102: neethi-3.0.3.redhat-1-sources.jar
Source103: neethi-3.0.3.redhat-1.jar
Source104: neethi-3.0.3.redhat-1.pom
Source105: neethi-3.0.3.redhat-1-javadoc.jar
Source106: neethi-3.0.3.redhat-1-site.xml
Source107: neethi-3.0.3.redhat-1-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://ws.apache.org/neethi/
Requires:       %{?scl_prefix_eap}woodstox-core >= 0:5.0.3
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Apache Neethi provides general framework for the programmers to use WS Policy.
It is compliant with latest WS Policy specification which was published in March
2006. This framework is specifically written to enable the Apache Web services
stack to use WS Policy as a way of expressing it's requirements and
capabilities.

%if %with javadoc
%package javadoc
Summary:        Javadoc for neethi
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n webservices-neethi -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/neethi-%{namedversion}.jar %{buildroot}%{_javadir}/neethi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/neethi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/neethi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/neethi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/neethi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/neethi-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/neethi-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/neethi-%{namedversion} -x META-INF/\*
%{__ln_s} neethi-%{namedversion} %{buildroot}%{_javadocdir}/neethi
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.txt RELEASE-NOTE.txt
%{_javadir}/neethi-%{namedversion}.jar
%{_javadir}/neethi.jar
%if %with javadoc
%{_javadir}/neethi-%{namedversion}-javadoc.jar
%{_javadir}/neethi-javadoc.jar
%endif
%{_javadir}/neethi-%{namedversion}-sources.jar
%{_javadir}/neethi-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/neethi-%{namedversion}
%{_javadocdir}/neethi
%endif

%changelog
* Mon Nov 07 2016 Filip Kujikis <fkujikis@redhat.com> - 3.0.3-3.redhat_1.1
- running wrapper build for 3.0.3.redhat-1 with updated dependency for woodstox

* Thu Aug 20 2015 Fernando Nasser <fnasser@redhat.com> - 3.0.3-2.redhat_1.1
- Renamed from ws-commons-neethi

* Mon Jul 06 2015 David Walluck <dwalluck@redhat.com> - 3.0.3-1.redhat_1.1
- release

